cURL
curl --request POST \ --url http://proxy-airtime.easytransfert.app/api_v1/transaction/status \ --header 'Content-Type: application/json' \ --data ' { "api_key": "<string>", "transaction_ids": "<string>" } '
{ "data": { "transaction_id": "EFB.001158", "amount": 3005, "benefice": 3005, "commission": 0, "destination": "0777321219", "fee": 0, "error": "", "service_id": 10, "customer_name": "easytransfert", "state": "FAILED", "custom_data": "custom_data", "ipn_url": "", "provider_id": null, "created_at": "2022-09-27T07:07:47.000+00:00", "updated_at": "2022-09-27T07:07:47.000+00:00", "p_last_wallet_amount": null, "p_new_wallet_amount": null, "p_id": 1, "hash": null }, "message": "", "statut_code": 200 }
Obtenir le status d’une transaction (NB: si vous en abuser vous serez bloqué par le système)
/status
{ "api_key": "xxxxxxxxxxxxxxxx", "transaction_id": "EFB.001158" }
transaction_id
Votre clé d'API
"xxxxxxxxxxxxxxxxxxx"
Identifiant de la transaction (transaction_id)
"EFB.001158"
Transaction initiated successfully
Show child attributes
""
200